<?php
  session_start();
  require("./include/fnc_adjust.php");

  $url      = "";
  $ermsg    = "";
  $sid_flag = 1;

  if(!adjStartCheck($_SESSION['adj_ssl_flg'], &$ermsg, &$url)){
    $_SESSION['adj_error'] = $ermsg;
    header("Location: ".$url);
    exit;
  }

  if(!adjAdminCheck(1, &$ermsg, &$url)){
    $_SESSION['adj_error'] = $ermsg;
    header("Location: ".$url);
    exit;
  }

  $usrid  = $_SESSION['adj_userid'];

  $usrno  = 0;
  $uidtbl = array();
  $namtbl = array();
  $seltbl = array();

  $grpno  = 0;
  $grpcd  = array();
  $grpnm  = array();

  $teamno = 0;
  $teamid = array();

  $rtnlv  = 0;
  $rtncd  = "";
  $rtnnm  = "";

  if(!isset($_SESSION['adj_msg_fin'])){
    $_SESSION['adj_msg_fin'] = "";
  }

  if(intval($_SESSION['scheajstMaxMemb'])==0){
    $rtn = fncGetUserTable(&$usrno, &$uidtbl, &$namtbl);
    for($i=0; $i<$usrno; $i++){
      $seltbl[$i] = 0;
    }
    $_SESSION['scheajstMaxMemb'] = $usrno;
    $_SESSION['ScheAjstMem'] = $uidtbl;
    $_SESSION['ScheAjstNam'] = $namtbl;
    $_SESSION['ScheAjstSel'] = $seltbl;
    $_SESSION['scheajstPage'] = 0;
  }
  else{
    $usrno  = $_SESSION['scheajstMaxMemb'];
    $uidtbl = $_SESSION['ScheAjstMem'];
    $namtbl = $_SESSION['ScheAjstNam'];
    $seltbl = $_SESSION['ScheAjstSel'];
  }
  $case = $_GET["chk"];
  $actn = $_GET["act"];
  $page = $_GET["PG"];

  $urls =$_SERVER['REQUEST_URI'];
  $pos = strpos($urls, "?");
  if($pos!=false){
    $urls = substr($urls, 0, $pos);
  }
  $urls .= "?chk=sel&act=".$actn;

  if(strcasecmp($case, "rtn")==0){
    $grpno  = $_SESSION['adj_grp_no'];
    $grpcd  = $_SESSION['adj_grp_cd'];
    $grpnm  = $_SESSION['adj_grp_nm'];
    $rtncd  = $_SESSION['adj_grp_cod'];
    $rtnnm  = $_SESSION['adj_grp_nam'];
    $seltbl = $_SESSION['ScheAjstSel'];
  }
  else if(strcasecmp($case, "sel")==0){
    $grpno  = $_SESSION['adj_grp_no'];
    $grpcd  = $_SESSION['adj_grp_cd'];
    $grpnm  = $_SESSION['adj_grp_nm'];
    if(strcasecmp($actn, "a")==0){
      if($page==""){
        $rtncd  = "";
        $rtnnm  = "";
        for($i=0; $i<$usrno; $i++){
          $seltbl[$i] = 0;
        }
        $_SESSION['ScheAjstSel'] = $seltbl;
      }
      else{
        $seltbl = $_SESSION['ScheAjstSel'];
        $rtncd  = $_SESSION['adj_grp_cod'];
        if($_SERVER['REQUEST_METHOD']=="POST"){
          $rtnnm  = $_POST['adj_name'];
        }
        else{
          $rtnnm = $_SESSION['adj_grp_nam'];
        }
      }
    }
    else{
      if($page==""){
        $rtncd  = $_POST["adj_code"];
        $rtnnm  = "";
        for($j=0; $j<$grpno; $j++){
          if(strcasecmp($rtncd, $grpcd[$j])==0){
            $rtnnm  = $grpnm[$j];
            break;
          }
        }
      }
      else{
        if($_SERVER['REQUEST_METHOD']=="POST"){
          $rtncd = $_POST['adj_code'];
          $rtnnm = $_POST['adj_name'];
        }
        else{
          $rtncd = $_SESSION['adj_grp_cod'];
          $rtnnm = $_SESSION['adj_grp_nam'];
        }
      }
    }
    $_SESSION['adj_grp_nam'] = $rtnnm;
    $_SESSION['adj_grp_cod'] = $rtncd;
    if($page==""){
      for($i=0; $i<$usrno; $i++){
        $seltbl[$i] = 0;
      }
      $rtn = fncGetTeamTable($rtncd, &$teamno, &$teamid);
      for($i=0;$i<$teamno; $i++){
        for($j=0; $j<$usrno; $j++){
          if(strcasecmp($teamid[$i], $uidtbl[$j])==0){
            $seltbl[$j] = 1;
            break;
          }
        }
      }
      $_SESSION['ScheAjstSel'] = $seltbl;
    }
    else{
      $StPos = ($_SESSION['scheajstPage'] - 1) * $_SESSION['scheajstPMaxLine'];
      $GroupLine = 0;
      while(($StPos < $_SESSION['scheajstMaxMemb'])&&($GroupLine < $_SESSION['scheajstPMaxLine'])){
        if($_POST["AjstUsr".$StPos]=="on"){
          $seltbl[$StPos] = 1;
        }
        else{
          $seltbl[$StPos] = 0;
        }
        $StPos++;
        $GroupLine++;
      }
    }
  }
  else{
    $rtn = fncGetGroupTable(&$grpno, &$grpcd, &$grpnm);
    $_SESSION['adj_grp_no'] = $grpno;
    $_SESSION['adj_grp_cd'] = $grpcd;
    $_SESSION['adj_grp_nm'] = $grpnm;
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
<meta http-equiv="Content-Style-Type" content="text/css">
<meta name="author" content="Tokyo Gakugei University Information Processing Center">
<meta name="robots" content="nofollow">
<title>O[vێ</title>
<link rel="stylesheet" href="./include/adjust_style.css" type="text/css" media="all">
<link rel="stylesheet" href="./include/adjust_print.css" type="text/css" media="print">
<style type="text/css">
<!--
-->
</style>
<SCRIPT language="JavaScript" src="./include/commfunc.js" charset="Shift_JIS"></SCRIPT>
<SCRIPT type="text/javascript">
<!--
function fncAdjDltGrp(){
  var nam = document.form_adj.adj_name.value;
  if(nam.length==0){
    document.form_adj.adj_name.focus();
    document.getElementById("ErrMeg").innerHTML = "O[v͂ĉ";
    return false;
  }
  var rtn = confirm("O[v["+nam+"]폜܂B\n낵łH");
  if(!rtn){
    return false;
  }

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjgrpmnt.php?act=d";
  document.form_adj.submit();
}

function fncAdjAddGrp(){

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjgrp.php?chk=sel&act=a";
  document.form_adj.submit();
}

function fncAdjGrpPage(page){

  document.form_adj.target = "_top";
  document.form_adj.method = "post";
  document.form_adj.action = "<?php echo $urls ?>&PG="+page;
  document.form_adj.submit();
}

function fncAdjAddChk(act){
  var msg;
  var nam = document.form_adj.adj_name.value;

  if(nam.length==0){
    document.form_adj.adj_name.focus();
    document.getElementById("ErrMeg").innerHTML = "O[v͂ĉ";
    return false;
  }
  var memb = document.form_adj.adj_memb.value;
  if(parseInt(memb,10)==0){
     document.getElementById("ErrMeg").innerHTML = "O[vΏۃo[w肵ĉ";
     return false;
  }
  if(act=="a"){
    msg = "ǉ";
  }
  else{
    msg = "XV";
  }
  var rtn = confirm("O[v["+nam+"]"+msg+"܂B\n낵łH");
  if(!rtn){
    return false;
  }

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjgrpmnt.php?act="+act;
  document.form_adj.submit();
}

function fncAdjSelGrp(cod){
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjgrp.php?chk=sel";
  document.form_adj.submit();
}

function fncAdjReturn(){
  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "adjtop.php?PG=C";
  document.form_adj.submit();
}
// -->
</SCRIPT>
</head>
<body bgcolor="#ffffff">
<form name="form_header">
<TABLE CELLSPACING="0" BORDER="0">
  <TBODY BGCOLOR="#90EE90">
    <TR >
      <TD align="center" BGCOLOR="0000cd" valign="center"
                 style="font-weight:bold; color:#ffffff; background-color:#0000cd;
                        border-right:solid 0px #0000cd; border-left:solid 0px #0000cd;
                        border-top:solid 0px #0000cd; border-bottom:solid 0px #0000cd;">
      &nbsp;&nbsp;<?php echo $_SESSION['adj_cur_date'] ?>&nbsp;&nbsp;</TD>
      <TD align="center" valign="center" style="font-size:15px; font-weight:bold; color: #0000cd;">&nbsp;&nbsp;&nbsp;&nbsp;
        <?php echo $_SESSION['adj_divi']
              ." ".$_SESSION['adj_sect']
              ." ".$_SESSION['adj_subs']
              ." ".$_SESSION['adj_post']
              ." ".$_SESSION['adj_name']; ?> l&nbsp;&nbsp;&nbsp;&nbsp;
      </TD>
      <TD align="center" valign="center">&nbsp;&nbsp;<INPUT TYPE="button" class="butn1" VALUE="OAEg" OnClick="javascript:fncLogOut()">&nbsp;&nbsp;</TD>
    </TR>
  </TBODY>
</TABLE>
  <input type="hidden" id="top_sid" name="top_sid" value="<?php echo $_SESSION['adj_sid'] ?>">
  <input type="hidden" id="userid" name="userid" value="<?php echo $_SESSION['adj_userid'] ?>">
</form>
<form name="form_adj">
<table BORDER=0 BGCOLOR=blue CELLSPACING=>
<tr>
<td style='font-weight:bold; color:white; background:blue; FONT-SIZE: 18px;' width=700 >
O[vێ</td>
<td width=100 align='right' style='font-weight:bold; color:white; background:blue; FONT-SIZE: 15px;' >
<INPUT TYPE="button" VALUE="߂" onClick='javascript:fncAdjReturn();'></TD>
</tr>
</table>
<?php
  echo "<table BORDER=0 BGCOLOR=white CELLSPACING=>";
  echo "<tr><td colspan=3 align=\"center\"><br></td></tr>\n";
  echo "<tr><td colspan=3 align=\"center\">\n";
  echo "<div id='ErrMeg' style='font-weight:bold; color:#ff0000; FONT-SIZE: 12px;'>";
  echo $_SESSION['adj_error']."</div></TD></tr>";
  echo "<tr><td align=\"center\">O[v</td><td><br></td><td align=\"center\">ڍ׏</td><tr>";
  echo "<tr><td align=\"center\" valign=\"top\">\n";
  $rtn = fncMakeGroupTable();
  echo "</td><td>&nbsp;&nbsp;&nbsp;<br></td><td align=\"center\" valign=\"top\">\n";
  if((strcasecmp($case, "sel")==0)||(strcasecmp($case, "rtn")==0)){
    $rtn = fncMakeDetailTable(&$teamno);
  }
  else{
  echo "<br>";
  }
  echo "</td></tr>\n</table>\n";
  echo "<strong>".$_SESSION['adj_msg_fin']."</strong><br>\n";
  echo "<input type=\"hidden\" id=\"adj_code\" name=\"adj_code\" value=\"".$rtncd."\">\n";
  echo "<input type=\"hidden\" id=\"adj_\" name=\"adj_grpno\" value=\"".$grpno."\">\n";
  echo "<input type=\"hidden\" id=\"adj_\" name=\"adj_memb\" value=\"".$teamno."\">\n";
  $_SESSION['adj_error'] = "";
  $_SESSION['adj_msg_fin'] = "";
?>
<div id="copyright_area">
<br>
<hr noshade size="1">
<!-- copyright -->
<center class="copyright">
<?php echo $_SESSION['adj_copyright'] ?>
</center>
</div><!--copyright_area end -->
</form>
</body>
<?php
function fncMakeGroupTable(){
  global $grpno, $grpcd, $grpnm;

  echo "<TABLE BORDER=1 BGCOLOR=#ffffff CELLSPACING=>\n";
  echo "<THEAD>\n<TR>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\">I</font></TH>\n";
  echo "</TR></THEAD><TBODY>";
  $npos = 0;
  for($i=0; $i<$grpno; $i++){
    $npos++;
    echo "<TR><TD BORDERCOLOR=#c0c0c0 align='right' ><font size='-1'>".$npos."</font>\n";
    echo "<INPUT type=\"hidden\" name=\"adj_grp_cd".$i."\" value=\"".$grpcd[$i]."\"></TD>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='left' >".$grpnm[$i]."</td>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='center' >";
    echo "<input type=\"button\" VALUE=\"I\" name=\"adjgrpsel".$npos."\" "
               ."onClick=\"javascript:fncAdjSelGrp('".$grpcd[$i]."');\"></td>";
    echo "</tr>\n";
  }
  echo "<tr><td colspan=3 align=\"center\">\n";
  echo "<br>O[v<input type=\"button\" VALUE=\"ǉ\" name=\"adjgrpaddd\" "
               ."onClick=\"javascript:fncAdjAddGrp();\">B<br><br>\n";
  echo "</TD></TR></TBODY></TABLE>\n";
}

function fncMakeDetailTable($teamno){
  global $page, $actn;
  global $usrno, $uidtbl, $namtbl, $seltbl;
  global $grpno, $grpcd, $grpnm;
  global $rtncd, $rtnnm;

  $_SESSION['scheajstMaxPage'] = intval(($_SESSION['scheajstMaxMemb'] + $_SESSION['scheajstPMaxLine'] - 1)
                                / $_SESSION['scheajstPMaxLine']);
  if(($_SESSION['scheajstPage']==0)||($page=="")){
    $_SESSION['scheajstPage'] = 1;
  }
  if(($page=="P")&&($_SESSION['scheajstPage']>1)){
    $_SESSION['scheajstPage'] = $_SESSION['scheajstPage'] - 1;
  }
  if(($page=="N")&&($_SESSION['scheajstPage'] < $_SESSION['scheajstMaxPage'])){
    $_SESSION['scheajstPage'] = $_SESSION['scheajstPage'] + 1;
  }
  if($page=="T"){
    $_SESSION['scheajstPage'] = 1;
  }
  if($page=="B"){
    $_SESSION['scheajstPage'] = $_SESSION['scheajstMaxPage'];
  }
  echo "<DIV ALIGN=RIGHT>Page: ".$_SESSION['scheajstPage']." / ".$_SESSION['scheajstMaxPage']."</DIV>";
  if($_SESSION['scheajstPage'] > 1){
    echo "<A href=\"javascript:fncAdjGrpPage('T');\">擪y[W</A>@@\n";
  } else{
    echo "擪y[W@@\n";
  }
  if($_SESSION['scheajstPage'] > 1){
    echo "<A href=\"javascript:fncAdjGrpPage('P');\">Õy[W</A>@@\n";
  } else{
    echo "Õy[W@@\n";
  }
  if($_SESSION['scheajstPage'] < $_SESSION['scheajstMaxPage']){
    echo "<A href=\"javascript:fncAdjGrpPage('N');\">̃y[W</A>@@\n";
  } else{
    echo "̃y[W@@\n";
  }
  if($_SESSION['scheajstPage'] < $_SESSION['scheajstMaxPage']){
    echo "<A href=\"javascript:fncAdjGrpPage('B');\">ŏIy[W</A>@@\n";
  } else{
    echo "ŏIy[W@@\n";
  }
  echo "<TABLE><THEAD></THEAD><TR><TD>\n";
  echo "<TR><TD BORDERCOLOR=#c0c0c0 align='left' colspan=3>";
  echo "<INPUT type=\"hidden\" name=\"adj_grp_cd\" value=\"".$rtncd."\">\n";
  echo "O[v<INPUT type=\"text\" name=\"adj_name\" class=\"in_text16\"  value=\"".$rtnnm."\">\n";
  echo "</td></tr>\n<tr><td valign=\"top\"><TABLE BORDER=1 BGCOLOR=#ffffff CELLSPACING=>";
  echo "<THEAD>\n<TR>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\">[U</font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\">I</font></TH>\n</TR></THEAD>\n";
  echo "<TBODY>\n";
  $pos = intval(($_SESSION['scheajstPage'] - 1) * $_SESSION['scheajstPMaxLine']);
  $GroupLine = 0;
  while(($pos < $_SESSION['scheajstMaxMemb']) && ($GroupLine < $_SESSION['scheajstPMaxLine'])){
    $npos = $pos + 1;
    echo "<TR><TD BORDERCOLOR=#c0c0c0 align='right' ><font size='-1'>".$npos."</font></TD>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 ><font size='-1'>".$uidtbl[$pos]."</font></TD>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='left'><font size='-1'>".$namtbl[$pos]."</font></TD>\n";
    echo "<TD align='center'>";
    if($seltbl[$pos]==1){
      echo "<INPUT type='checkbox' checked name='AjstUsr".$pos."'>\n";
    }
    else{
      echo "<INPUT type='checkbox' name='AjstUsr".$pos."'>\n";
    }
    echo "</TD></TR>\n";
    $GroupLine++;
    $pos++;
  }
  echo "</TBODY></TABLE>\n";
  echo "</TD>\n";
  $GroupSelMemb = "";
  $GroupSelCntr = 0;
  for($idx=0; $idx<$_SESSION['scheajstMaxMemb']; $idx++){
    if($seltbl[$idx]==1){
      $no = $idx + 1;
      $SelWkNo = substr("000".$no, -3, 3);
      $GroupSelMemb = $GroupSelMemb."(".$SelWkNo.")".substr($uidtbl[$idx]."        ",0,8)." ".$namtbl[$idx]."\n";
      $GroupSelCntr++;
    }
  }
  echo "<TD width='80' align='center' BORDERCOLOR=#c0c0c0 >";
  echo "<A href=\"javascript:fncAdjGrpPage('C');\">\n";
  echo "<IMG src=\"image/addlist.gif\" border=\"0\"></A></TD>\n";
  echo "<td valign=\"top\"><Textarea rows='".($GroupSelCntr+1)."' cols='40' name='GroupSelMemb' readonly>";
  echo $GroupSelMemb."</Textarea><BR>Ώێ ".$GroupSelCntr."<br>\n";
  if(strcasecmp($actn,"a")==0){
    $msg = "ǉ";
  }
  else{
    $actn = "c";
    $msg = "XV";
  }
  echo "<br>ȏ̃O[v<input type=\"button\" VALUE=\"".$msg."\" name=\"adjgrpchk\" "
               ."onClick=\"javascript:fncAdjAddChk('".$actn."');\">B<br>\n";
  if(strcasecmp($actn,"a")!=0){
    echo "<br>@@@@܂́ÃO[v<input type=\"button\" VALUE=\"폜\" name=\"adjgrpchk\" "
               ."onClick=\"javascript:fncAdjDltGrp();\">B<br>\n";
  }
  echo "</TR></TBODY></TABLE>\n";
  $teamno = $GroupSelCntr;
  $_SESSION['ScheAjstSel'] = $seltbl;

}
?>
</html>
