/**************************************************************** 
* L[̖ݒ
****************************************************************/ 
var KEY_BACK   = 8;
var KEY_ESCAPE = 27;
var KEY_LEFT   = 37;
var KEY_RIGHT  = 39;
var KEY_R      = 82;
var KEY_F5     = 116;
var KEY_F11    = 122;

function keyDownProc() {
  switch (event.srcElement.tagName) {
    case 'INPUT':
      var type = event.srcElement.type;
      if(type == 'text' || type == 'file' || type == 'password'){
        if (event.keyCode == KEY_BACK){
          return true;
        }
      }
      break;
    case 'TEXTAREA':
      if(event.keyCode == KEY_BACK){
        return true;
      }
      break;
  }
  var nullifyKey = false;
  switch (event.keyCode) {
    case KEY_LEFT:
    case KEY_RIGHT:
      if(event.altKey){
        nullifyKey = true;
      }
      break;
    case KEY_R:
      if(event.ctrlKey){
        nullifyKey = true;
      }
      break;
    case KEY_BACK:
    case KEY_ESCAPE:
    case KEY_F5:
    case KEY_F11:
      nullifyKey = true;
      break;
  }
  if(!nullifyKey){
    return true;
  }
  if(event.altKey){
  }
  else{
    event.keyCode = 0;
  }
  event.returnValue = false;
  return false;
}

/**************************************************************** 
* ͂ꂽlt`ɂȂĂ邩ׂ 
****************************************************************/ 
function fncChkDate(pDate){
  var txt = new String(pDate);
  var ymd = new Array(3);
  var yy;
  var mm;
  var dd;
  var i;
  var i0 = 0;
  var n = 0;
  var ans = '';
  var nowDate = new Date(); 
  var ymd = txt.split('/');
  if(ymd.length==1){
    yy  = nowDate.getFullYear();
    mm  = nowDate.getMonth() + 1;
    dd  = ymd[0];
  } else if(ymd.length==2){
    yy  = nowDate.getFullYear();
    mm  = ymd[0];
    dd  = ymd[1];
  } else if(ymd.length==3){
    yy  = ymd[0];
    mm  = ymd[1];
    dd  = ymd[2];
  } else{
   return ans;
  }
  if(isNaN(yy)||isNaN(mm)||isNaN(dd)){
   return ans;
  }
  yy = parseInt(yy,10);
  if(yy<100){
    yy = yy + 2000;
  }
  if(yy>=10000){
   return ans;
  }
  mm = parseInt(mm,10);
  dd = parseInt(dd,10);
  if((mm >= 1)&&(mm <= 12)&&(dd >= 1)&&(dd<=31)){
    mm = mm - 1;
    var chkDate = new Date(yy, mm, dd); 
    if((chkDate.getFullYear()==yy)&&(chkDate.getMonth()==mm)&&(chkDate.getDate()==dd)){
      ans = yy.toString();
      mm = mm + 1;
      if(mm<10){
        ans = ans + '/0' + mm.toString();
      }
      else{
        ans = ans + '/'  + mm.toString();
      }
      if(dd<10){
        ans = ans + '/0' + dd.toString();
      }
      else{
        ans = ans + '/'  + dd.toString();
      }
    }
  }
  return ans;
}

/******************************************************************************************
' Փ̎擾
'   : yyyy/mm/dd
'  ߒl : Փ̏ꍇ"Փ"AłȂ""
'*****************************************************************************************/
function getHoliday(pYMD){
var syuku, week, i, w, tyear, dayhar, dayaki;
var year, month, day, week;
  var pDate = new Date(pYMD); 
  year  = pDate.getFullYear();
  month = pDate.getMonth() + 1;
  day   = pDate.getDate();
  syuku = "";
  week= pDate.getDay() + 1;  /* 1:j --> 7:yj */
  if(month==3){              /* 3 t̓ */
       if((year>=1851)&&(year<=1899)){
          i = 0;
          w = 19.8277;
          tyear = 1983;
       } else if((year >= 1900)&&(year<=1979)){
          i = 1;
          w = 20.8357;
          tyear = 1983;
       } else if((year >= 1980)&&(year<=2099)){
          i = 2;
          w = 20.843;
          tyear = 1980;
       } else if((year >= 2100)&&(year<=2150)){
          i = 3;
          w = 21.8510;
          tyear = 1980;
       } else{
          i = 4;
          w = 21.8510;
          tyear = 1980;
       }
       dayhar = Math.floor(w + 0.242194 * (year - 1980) - Math.floor((year - tyear + 0.1)/4));
       if(day==dayhar){
          syuku = "t̓";
       } else if(week==2){
          if(day==(dayhar+1)){                /* t̓U֋x */
             syuku = "U֋x";
          }
       }
       return syuku;
  }
  if(month==9){                             /* 9 hV̓AH̓ */
       if((year>=1851)&&(year<=1899)){
          i = 0;
          w = 22.2588;
          tyear = 1983;
       } else if((year>=1900)&&(year<=1979)){
          i = 1;
          w = 23.2588;
          tyear = 1983;
       } else if((year>=1980)&&(year<=2099)){
          i = 2;
          w = 23.2488;
          tyear = 1980;
       } else if((year>=2100)&&(year<=2150)){
          i = 3;
          w = 24.2488;
          tyear = 1980;
       } else{
          i = 4;
          w = 24.2488;
          tyear = 1980;
       }
       dayaki = Math.floor(w + 0.242194 * (year - 1980) - Math.floor((year - tyear + 0.1)/4));
       if(day==dayaki){
          syuku = "H̓";
       } else if((year< 2003)&&(day==15)){      /* 915(`2002)hV̓ */
          syuku = "hV̓";
       } else if(week==2){
          if(day==(dayaki+1)){                /* H̓U֋x */
             syuku = "U֋x";
          } else{
             if(year<2003){
                if(day==16){                  /* 9 hV̓U֋x */
                   syuku = "U֋x";
                }
             } else{
                if((day>=15)&&(day<=21)){     /* RjhV̓ */
                   syuku = "hV̓";
                }
             }
          }
       } else if((week==3)&&(year>=2007)){
          if(dayaki==(day + 1)){
             syuku = " ̋x";
          }    
       }
       return syuku;
  }
  if((month==1)&&(day==1)){                          /* 1 1 */
        syuku = "";
  } else if((month==1)&&(day==2)){                   /* 1 2 */
        syuku = "Nn";
  } else if((month==1)&&(day==3)){                   /* 1 3 */
        syuku = "Nn";
  } else if((year < 2000)&&(month==1)&&(day==15)){   /* 115(`1999) */
     syuku = "l̓";
  } else if((month==2)&&(day==11)){                   /* 211 */
     syuku = "LO̓";
  } else if((month==4)&&(day==29)&&(year <= 2006)){  /* 429(2006N܂) */
     syuku = "݂ǂ̓";
  } else if((month==4)&&(day==29)&&(year >= 2007)){  /* 429(2007N) */
     syuku = "a̓";
  } else if((month==5)&&(day==3)){                  /* 5 3 */
     syuku = "@LO";
  } else if((month==5)&&(day==4)&&(year < 2007)){   /* 5 4(2006N܂) */
     syuku = " ̋x";
  } else if((month==5)&&(day==4)&&(year >= 2007)){    /* 5 4(2007N) */
     syuku = "݂ǂ̓";
  } else if((month==5)&&(day==5)){                  /* 5 5 */
     syuku = "ǂ̓";
  } else if((year < 2000)&&(month==10)&&(day==10)){  /* 1010(`1999) */
     syuku = "̈̓";
  } else if((month==11)&&(day==3)){                 /* 11 3 */
     syuku = "̓";
  } else if((month==11)&&(day==23)){                 /* 1123 */
     syuku = "ΘJӂ̓";
  } else if((month==12)&&(day==23)){                  /* 1223 */
     syuku = "Vca";
  } else if((month==12)&&(day==30)){                 /* 1230 */
     syuku = "N";
  } else if((month==12)&&(day==31)){                 /* 1231 */
     syuku = "N";
  } else if((year < 2003)&&(month==7)&&(day==20)){   /* 720(`2002) */
     syuku = "C̓";
  }
  if(syuku != ""){
     return syuku;
  }
  if(week==2){
       if(year<2003){
          if((month==7)&&(day==21)){      /* 7 C̓U֋x */
             syuku = "U֋x";
          }
       } else{
          if((day >= 15)&&(day <= 21)){       /* Rj */
            if(month==7){                   /* 7(2003`) */
               syuku = "C̓";
            }
          }
       }
/* (2006N܂)ȕjvjɂƂ́A̗xƂB*/
       if(year < 2000){
          if((month== 1)&&(day==16)){              /* 1 l̓U֋x */
             syuku = "U֋x";
          } else if((month==10)&&(day==11)){         /* 10 ̈̓U֋x */
             syuku = "U֋x";
          }
       } else{
          if((day >= 8)&&(day <= 14)){              /* Qj */
             if(month== 1){                       /*     1    */
                syuku = "l̓";
             } else if(month==10){                /*     10   */
                syuku = "̈̓";
             }
          }
       }
       if(syuku != ""){
         return syuku;
       }
       if((month==2)&&(day==12)){         /* 2 LO̓U֋x */
          syuku = "U֋x";
       } else if((month==4)&&(day==30)){  /* 4 ݂ǂ̓/a̓U֋x */
          syuku = "U֋x";
       } else if((month==5)&&(day== 6)){  /* 5 ǂ̓U֋x */
          syuku = "U֋x";
       } else if((month==11)&&(day==4)){  /* 11 ̓U֋x */
          syuku = "U֋x";
       } else if((month==11)&&(day==24)){  /* 11 ΘJӂ̓U֋x */
          syuku = "U֋x";
       } else if((month==12)&&(day==24)){  /* 12 VcaU֋x */
          syuku = "U֋x";
       }
       if(syuku != ""){
         return syuku;
       }
  }
/* (2007N)ȕjvjɓƂ́A
   ̓ɂĂ̓ɍł߂ȕjvłȂxƂB*/
   if(year >= 2007){
      if((month==5)&&(day==6)){
         if((week==2)||(week==3)||(week==4)){
            syuku = "U֋x";
         }
      }
   }
/* ̋x(jɋ܂ꂽ)
  (2006N܂)̑Oyїȕjvł́AxƂB
 ijɂyёOɋK肷xɂBj
  (2007N)̑Oyїȕjvł́AxƂB
 iȕjvłȂɌBj                                    */
  return syuku;
}

/******************************************************************************************
' Ő󔒂
'   : 
'  ߒl : 󔒂ʂ̕
'  fncTrimFO㗼@ fncLtrimFO@ fncRtrimF㑤
'*****************************************************************************************/
function fncTrim( inStr ){
  var ans = inStr;
  ans = ans.replace( /^[\s]*/, "" );
  ans = ans.replace( /[\s]*$/, "" );
  return ans;
}
function fncLtrim( inStr ){
  var ans = inStr;
  ans = ans.replace( /^[\s]*/, "" );
  return ans;
}
function fncRtrim( inStr ){
  var ans = inStr;
  ans = ans.replace( /^[\s]*/, "" );
  return ans;
}

/******************************************************************************************
' ̃oCg
'   : 
'  ߒl : ̃oCg
'*****************************************************************************************/
function fncGetByte(pStr){
  if(pStr.length == 0){
    return 0;
  }
  var Bytes = 0, chr ,i;

  for(i=0; i <pStr.length; i++){
    chr = pStr.charAt(i);
    chr = escape(chr); 
    if( chr.length  < 4 ){
      Bytes = Bytes + 1;
    }
    else{
      Bytes = Bytes + 2;
    }
  }
  return Bytes;
}

function fncLogOut(){
  document.form_header.target = "_self";
  document.form_header.method = "post";
  document.form_header.action = "./adjlogout.php"
  document.form_header.submit();
}
