<?php
define("Encryptkey", "setpasswordkey");
define("DataFolder", "/var/www/html/data");

$Err = new ErrInfo();
set_error_handler("adjErrorInfo");

# G[bZ[WNX
class ErrInfo{
  var $No;
  var $Message;
  var $File;
  var $Line;
}
 
# [UG[nh
function adjErrorInfo( $errno, $errmsg, $file, $line ){

  global $Err;

  $Err->No      = $errno;
  $Err->Message = $errmsg;
  $Err->File    = $file;
  $Err->Line    = $line;
}

# tH[`bN
function adjStartCheck($ssl, $msg, $url){
  $msg = "";
  $url = "";

  if(empty($_SERVER['HTTP_REFERER'])){
    $msg = "REFERER Error";
    $urls = explode( "/", $_SERVER['REQUEST_URI']);
    if($ssl==true){
      $urls[count($urls)-1] = "indexssl.php";
      $urlnm = $_SERVER['HTTP_HOST'].implode("/", $urls);
      $url = "https://".$urlnm;
    }
    else{
      $urls[count($urls)-1] = "index.php";
      $urlnm = $_SERVER['HTTP_HOST'].implode("/", $urls);
      $url = "http://".$urlnm;
    }
    return false;
  }

  $urls = explode( "/", $_SERVER['HTTP_REFERER']);
  if($ssl==true){
    if(strcasecmp($urls[0], 'http:')==0){
      $msg = "HTTPS Error";
      $urls[0] = "https:";
      $urls[count($urls)-1] = "indexssl.php";
      $url = implode("/", $urls);
      return false;
    }
  }

  $sid_flag=1;
  if(isset($_SESSION['adj_sid'])){
    if(strcasecmp($_SESSION['adj_sid'], session_id())!=0){
      $msg = "Session Error(".$adj_sid.",".session_id().")";
      $sid_flag=0;
    }
  }
  else{
    $msg = "Session Error(Empty[".$adj_sid."],".session_id().")";
    $sid_flag=0;
  }
  if($sid_flag==0){
    $urls[count($urls)-1] = "adjlogin.php";
    $url = implode("/", $urls);
    return false;
  }

  if(isset($_SESSION['adj_userid'])){
    if(strlen($_SESSION['adj_userid'])==0){
      $msg = "User ID[Length 0] Error";
      $sid_flag=0;
    }
  }
  else{
    $msg = "User ID[Empty] Error";
    $sid_flag=0;
  }
  if($sid_flag==0){
    $urls[count($urls)-1] = "adjlogin.php";
    $url = implode("/", $urls);
    return false;
  }
  return true;
}

# Ǘ`FbN
function adjAdminCheck($lvl, $msg, $urlnm){
  $msg      = "";
  $urlnm    = "";
  $sid_flag = 1;

  if(isset($_SESSION['adj_admn'])){
    if(intval($_SESSION['adj_admn'])<$lvl){
      $sid_flag = 0;
    }
  }
  else{
    $sid_flag = 0;
  }
  if($sid_flag==0){
    $urls = explode( "/", $_SERVER['HTTP_REFERER']);
    $urls[count($urls)-1] = "adjlogin.php";
    $urlnm = implode("/", $urls);
    $msg = "ǗҌ Error";
    return false;
  }
  return true;
}

# [U[ꗗ\擾
function fncGetUserTable($usrno, $uidtbl, $namtbl){
  $usrno  = 0;
  $udelt = "9";
  $flusr = DataFolder."/user/list_user.txt";
  if(!(file_exists($flusr))){
    return false;
  }

  $fp = fopen($flusr, "r");
  while(!feof($fp)){
    $linetxt = trim(fgets($fp));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    $usrid = strtolower(trim($ulist[0]));
    switch(count($ulist)){
      case 1:
        $uname = "";
        $udivi = "d000";
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 2:
        $uname = trim($ulist[1]);
        $udivi = "d000";
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 3:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 4:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 5:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 6:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = "0";
        $udelt = "0";
        break;
      case 7:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = trim($ulist[6]);
        $udelt = "0";
        break;
      default:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = trim($ulist[6]);
        $udelt = trim($ulist[7]);
    }
    if(intval($uadmn)>1){
      continue;
    }
    if(intval($udelt)==9){
      continue;
    }
    $uidtbl[$usrno] =$usrid;
    $namtbl[$usrno] =$uname;
    $usrno++;
  }
  fclose($fp);
  if($usrno>0){
    array_multisort(&$uidtbl, &$namtbl);
    return true;
  } else{
    return false;
  }
}

function fncGetCtrlTable($fid, $num, $cod, $nam){
  global $Err;
  $num = 0;
  $ermsg = "";
# t@Cݒ
  switch($fid){
    case "div":
      $flusr = DataFolder."/list_division.txt";
      break;
    case "sec":
      $flusr = DataFolder."/list_section.txt";
      break;
    case "sub":
      $flusr = DataFolder."/list_subsection.txt";
      break;
    case "pst":
      $flusr = DataFolder."/list_post.txt";
      break;
    case "grp":
      $flusr = DataFolder."/group/list_group.txt";
      break;
    default:
      $ermsg = "t@C[".$fid."]wG[";
      return $ermsg;
  }
  if(!(file_exists($flusr))){
    $ermsg .= "file[".$flusr."] not exist";
    return $ermsg;
  }
  $fp = fopen($flusr, "r");
  if(!$fp){
    $ermsg .= "file[".$flusr."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]";
    return $ermsg;
  }
  while(!feof($fp)){
    $linetxt = trim(fgets($fp));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    $cod[$num] =strtolower(trim($ulist[0]));
    if(count($ulist)>1){
      $nam[$num] = trim($ulist[1]);
    }
    else{
      $nam[$num] = "";
    }
    $num++;
  }
  fclose($fp);
  if($num>0){
    array_multisort(&$cod, &$nam);
  } else{
    $ermsg = "f[^[";
  }
  return $ermsg;
}

# 喼ꗗ\擾
function fncGetDivTable($divno, $divcd, $divname){
  $divno = 0;
  $ermsg = fncGetCtrlTable("div", &$divno, &$divcd, &$divname);
  if(divno>0){
    return true;
  } else{
    return false;
  }
}

# ۖꗗ\擾
function fncGetSecTable($secno, $seccd, $secname){
  $secno = 0;
  $ermsg = fncGetCtrlTable("sec", &$secno, &$seccd, &$secname);
  if($secno>0){
    return true;
  } else{
    return false;
  }
}

# Wꗗ\擾
function fncGetSubTable($subno, $subcd, $subname){
  $subno = 0;
  $ermsg = fncGetCtrlTable("sub", &$subno, &$subcd, &$subname);
  if($subno>0){
    return true;
  } else{
    return false;
  }
}

# Eꗗ\擾
function fncGetPstTable($pstno, $pstcd, $pstname){
  $pstno = 0;
  $ermsg = fncGetCtrlTable("pst", &$pstno, &$pstcd, &$pstname);
  if($pstno>0){
    return true;
  } else{
    return false;
  }
}

# O[vꗗ\擾
function fncGetGroupTable($grpno, $grpid, $grpname){
  $grpno = 0;
  $ermsg = fncGetCtrlTable("sec", &$grpno, &$grpid, &$grpname);
  if($grpno>0){
    return true;
  } else{
    return false;
  }
}

# O[vo[ꗗ擾
function fncGetTeamTable($teamcd, $teamno, $teamid){
  $teamno = 0;
  $flusr = DataFolder."/group/mem_g".$teamcd.".txt";
  if(!(file_exists($flusr))){
    return false;
  }

  $fp = fopen($flusr, "r");
  while(!feof($fp)){
    $linetxt = trim(fgets($fp));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    if(count($ulist)==1){
      continue;
    }
    $teamid[$teamno] =trim($ulist[1]);
    $teamno++;
  }
  fclose($fp);
  if($teamno>0){
    return true;
  } else{
    return false;
  }
}

# [U[iR[hj擾
function fncGetUcodeList($usrid, $pname, $pdivi, $psect, $psubs, $ppost, $padmn){
  $flusr = DataFolder."/user/list_user.txt";
  if(!(file_exists($flusr))){
    return false;
  }
  $txtfile = fopen($flusr, "r");
  $uname = "";
  $udivi = "";
  $usect = "";
  $usubs = "";
  $upost = "";
  $uadmn = "";
  $udelt = "9";
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    if(strcasecmp($usrid,$ulist[0])!=0){
      continue;
    }
    switch(count($ulist)){
      case 1:
        $uname = "";
        $udivi = "d000";
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 2:
        $uname = trim($ulist[1]);
        $udivi = "d000";
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 3:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = "s0000";
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 4:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = "s00000";
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 5:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = "p0000";
        $uadmn = "0";
        $udelt = "0";
        break;
      case 6:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = "0";
        $udelt = "0";
        break;
      case 7:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = trim($ulist[6]);
        $udelt = "0";
        break;
      default:
        $uname = trim($ulist[1]);
        $udivi = strtolower(trim($ulist[2]));
        $usect = strtolower(trim($ulist[3]));
        $usubs = strtolower(trim($ulist[4]));
        $upost = strtolower(trim($ulist[5]));
        $uadmn = trim($ulist[6]);
        $udelt = trim($ulist[7]);
    }
    if(intval($udelt)==9){
      continue;
    }
    break;
  }
  fclose($txtfile);
  if(intval($udelt)==9){
    return false;
  }
  else{
    $pname = htmlspecialchars($uname);
    $pdivi = $udivi;
    $psect = $usect;
    $psubs = $usubs;
    $ppost = $upost;
    $padmn = $uadmn;
    return true;
  }
}

# [U[íj擾
function fncGetUserList($usrid, $pname, $pdivi, $psect, $psubs, $ppost, $uadmn){
  $uname = "";
  $udivi = "";
  $usect = "";
  $usubs = "";
  $upost = "";
  $uadmn = "";
  $rtn =fncGetUcodeList($usrid, &$uname, &$udivi, &$usect, &$usubs, &$upost, &$uadmn);
  if(!$rtn){
    return false;
  }
# Set User-Attribute
  $pname = htmlspecialchars($uname);
  $num = 0;
  $cod = array();
  $nam = array();
# Division
  $pdivi="";
  if(strlen($udivi)>0){
    $ermsg = fncGetCtrlTable("div", &$num, &$cod, &$nam);
    for($k = 0; $k < $num; $k++){
      if(strcasecmp($udivi,$cod[$k])==0){
        $pdivi = trim(htmlspecialchars($nam[$k]));
        break;
      }
    }
  }
# Section
  $psect="";
  if(strlen($usect)>0){
    $ermsg = fncGetCtrlTable("sec", &$num, &$cod, &$nam);
    for($k = 0; $k < $num; $k++){
      if(strcasecmp($usect,$cod[$k])==0){
        $psect = trim(htmlspecialchars($nam[$k]));
        break;
      }
    }
  }
# Sub-Section
  $psubs="";
  if(strlen($usubs)>0){
    $ermsg = fncGetCtrlTable("sub", &$num, &$cod, &$nam);
    for($k = 0; $k < $num; $k++){
      if(strcasecmp($usubs,$cod[$k])==0){
        $psubs = trim(htmlspecialchars($nam[$k]));
        break;
      }
    }
  }
# Post
  $ppost="";
  if(strlen($upost)>0){
    $ermsg = fncGetCtrlTable("sub", &$num, &$cod, &$nam);
    for($k = 0; $k < $num; $k++){
      if(strcasecmp($upost,$cod[$k])==0){
        $ppost = trim(htmlspecialchars($nam[$k]));
        break;
      }
    }
  }
  return true;
}

# tb^[擾
function fncGetFooterTable($ftrno, $ftrtbl){
  $ftrno = 0;
  $flusr = DataFolder."/list_footer.txt";
  if(!(file_exists($flusr))){
    return false;
  }

  $fp = fopen($flusr, "r");
  while(!feof($fp)){
    $linetxt = trim(fgets($fp));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt, 2 );
    if(count($ulist)<2){
      continue;
    }
    $ftrtxt = trim($ulist[1]);
    if(strlen($ftrtxt)==0){
      continue;
    }
    $ftrtbl[$ftrno] = $ftrtxt;
    $ftrno++;
  }
  fclose($fp);
  if($ftrno>0){
    return true;
  } else{
    return false;
  }
}

# tb^[ݒ肷
function fncSetFooter(){
  $ftrtxt = "";
  $ftrno  = 0;
  $ftrtbl = array("", "", "");
  $rtn    = fncGetFooterTable(&$ftrno, &$ftrtbl);
  $ftrtxt = htmlspecialchars($ftrtbl[0]);
  $ftrtxt = str_replace("&amp;", "&", $ftrtxt);
  $pos1 = strpos($ftrtxt, "[");
  $pos2 = strpos($ftrtxt, "]");
  if(($pos1===false)||($pos2===false)){
    $_SESSION['adj_copyright'] = $ftrtxt;
    return true;
  }
  if($pos1+1>=$pos2){
    $_SESSION['adj_copyright'] = $ftrtxt;
    return true;
  }
  $ftr1 = substr($ftrtxt, 0, $pos1);
  $url1 = substr($ftrtxt, $pos1 + 1, $pos2 - $pos1 - 1);
  $ftr1 .= "<a href=\"http://".$ftrtbl[1]."\" target=\"_blank\">".$url1."</a>";
  $ftrtxt = substr($ftrtxt, $pos2 + 1);
  $pos1 = strpos($ftrtxt, "[");
  $pos2 = strpos($ftrtxt, "]");
  if(($pos1===false)||($pos2===false)){
    $_SESSION['adj_copyright'] = $ftr1.$ftrtxt;
    return true;
  }
  if($pos1+1>=$pos2){
    $_SESSION['adj_copyright'] = $ftr1.$ftrtxt;
    return true;
  }
  $ftr2 = substr($ftrtxt, 0, $pos1);
  $url2 = substr($ftrtxt, $pos1 + 1, $pos2 - $pos1 - 1);
  $ftr2 .= "<a href=\"http://".$ftrtbl[2]."\" target=\"_blank\">".$url2."</a>";
  $ftrtxt = substr($ftrtxt, $pos2 + 1);
  $_SESSION['adj_copyright'] = $ftr1.$ftr2.$ftrtxt;
  return true;
}

# ꗗ擾
function fncGetAdjsList($nadjs, $adj_id, $reg_id, $adj_nm, $adj_d1, $adj_d2){
  $nadjs=0;
  $fladjs = DataFolder."/schedule/list_schedule.txt";
  if(!(file_exists($fladjs))){
    return false;
  }

  $cDate = date("Y/m/d");
  list($cYY,$cMM,$cDD) = explode("/",$cDate);
  $cMM = intval($cMM) + 2;
  if($cMM>12){
    $cMM = $cMM - 12;
    $cYY = intval($cYY) + 1;
  }
  if(($cMM==4)||($cMM==6)||($cMM==9)||($cMM==11)){
    if(intval($cDD)>30){
      $cDD = 30;
    }
  } else if(intval($cMM)==2){
    if(intval($cDD)>28){
      $cDD = 30;
    }
  }
  $curtime = mktime(0,0,0,$cMM,$cDD,$cYY);

  $txtfile = fopen($fladjs, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    $idx = count($ulist);
    if($idx<3){
      continue;
    }
    if($idx==3){
      $edate1 = $curtime;
      $edate2 = $curtime;
    }
    else if($idx==4){
      list($year,$month,$day) = explode("/",trim($ulist[3]));
      if(!checkdate($month,$day,$year)){
        $edate1 = $curtime;
      } else{
        $edate1 = mktime(0,0,0,$month,$day,$year);
      }
      $edate2 = $curtime;
    } else{
      list($year,$month,$day) = explode("/",trim($ulist[3]));
      if(!checkdate($month,$day,$year)){
        $edate1 = $curtime;
      } else{
        $edate1 = mktime(0,0,0,$month,$day,$year);
      }
      list($year,$month,$day) = explode("/",trim($ulist[4]));
      if(!checkdate($month,$day,$year)){
        $edate2 = $curtime;
      } else{
        $edate2 = mktime(0,0,0,$month,$day,$year);
      }
    }
    $adj_id[$nadjs] = trim($ulist[0]);
    $reg_id[$nadjs] = trim($ulist[1]);
    $adj_nm[$nadjs] = trim(htmlspecialchars($ulist[2]));
    $adj_d1[$nadjs] = $edate1;
    $adj_d2[$nadjs] = $edate2;
    $nadjs++;
  }
  fclose($txtfile);
  if($nadjs==0){
    return false;
  }
  return true;
}

# Password Check
function fncCheckPassword($usrid, $paswd, $pswlist){
  $flusr = DataFolder."/user/".$usrid."/".$usrid."_psw.txt";
  if(!(file_exists($flusr))){
    return false;
  }
  $pswlist = "";
  $txtfile = fopen($flusr, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $pswlist = $linetxt;
    break;
  }
  fclose($txtfile);
  if(strlen($pswlist)==0){
    return false;
  }
  $ulist = explode( ",", $pswlist );
  $upass = trim($ulist[0]);
  $encry = fncEncrypt($paswd, Encryptkey);
  if(strcmp($encry,$upass)!=0){
    return false;
  }
  return true;
}

#̂擾
function fncGetAdjsName($adjid, $adjname, $adjday1, $adjday2){
  $cDate = date("Y/m/d");
  list($cYY,$cMM,$cDD) = explode("/",$cDate);
  $cMM = intval($cMM) + 2;
  if($cMM>12){
    $cMM = $cMM - 12;
    $cYY = intval($cYY) + 1;
  }
  if(($cMM==4)||($cMM==6)||($cMM==9)||($cMM==11)){
    if(intval($cDD)>30){
      $cDD = 30;
    }
  } else if(intval($cMM)==2){
    if(intval($cDD)>28){
      $cDD = 30;
    }
  }
  $curtime = mktime(0,0,0,$cMM,$cDD,$cYY);

  $adjname = "";
  $adjday1 = $curtime;
  $adjday2 = $curtime;

  $fladjs = DataFolder."/schedule/list_schedule.txt";
  if(!(file_exists($fladjs))){
    return false;
  }

  $txtfile = fopen($fladjs, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    $idx = count($ulist);
    if($idx<3){
      continue;
    }
    if(intval($adjid)!=intval($ulist[0])){
      continue;
    }
    $adjname = trim(htmlspecialchars($ulist[2]));
    if($idx==4){
      list($year,$month,$day) = explode("/",trim($ulist[3]));
      if(checkdate($month,$day,$year)){
        $adjday1 = mktime(0,0,0,$month,$day,$year);
      }
    } else if($idx>4){
      list($year,$month,$day) = explode("/",trim($ulist[3]));
      if(checkdate($month,$day,$year)){
        $adjday1 = mktime(0,0,0,$month,$day,$year);
      }
      list($year,$month,$day) = explode("/",trim($ulist[4]));
      if(checkdate($month,$day,$year)){
        $adjday2 = mktime(0,0,0,$month,$day,$year);
      }
    }
    break;
  }
  fclose($txtfile);
  return true;
}

# Ώۃo[̃[U[ID̈ꗗXg擾
function fncGetAdjsMemb($adjid, $numb, $tblmemb){
  $numb = 0;
  $fladjs = DataFolder."/schedule/group/memb_s".$adjid.".txt";
  if(!(file_exists($fladjs))){
    return false;
  }

  $txtfile = fopen($fladjs, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    if(count($ulist)<2){
      continue;
    }
    $tblmemb[$numb] = strtolower(trim($ulist[1]));
    $numb++;
  }
  fclose($txtfile);
  return true;
}

# ̒pt擾
function fncGetDateList($seq, $ctype, $part, $pnam, $adate, $bdate, $cdate){
  $fldate = DataFolder."/schedule/date/date_s".$seq.".txt";
  if(!(file_exists($fldate))){
    return false;
  }
  $txtfile = fopen($fldate, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    switch(count($ulist)){
      case 1:
        $ctype = intval($ulist[0]);
        $part  = 1;
        $pnam[0] = "@";
        $adate = date("Y/m/d");
        break;
      case 2:
        $ctype = intval($ulist[0]);
        $part  = 1;
        $pnam[0] = "@";
        $adate = trim($ulist[1]);
        break;
      case 3:
        $ctype = intval($ulist[0]);
        $part  = intval($ulist[2]);
        if($part<1){
          $part=1;
        }
        for($i=0; $i<$part; $i++){
          $pnam[$i] = "@";
        }
        break;
      default:
        $ctype = intval($ulist[0]);
        $part  = intval($ulist[2]);
        if($part<1){
          $part=1;
        }
        $np = count($ulist);
        for($i=0; $i<$part; $i++){
          $k = $i + 3;
          if($k<$np){
            $pnam[$i] = trim($ulist[$k]);
          }
          else{
            $pnam[$i] = "@";
          }
        }
    }
    break;
  }
  $ucount = 0;
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    if(count($ulist)==1){
      continue;
    }
    list($year,$month,$day) = explode("/",trim($ulist[1]));
    if(!checkdate($month,$day,$year)){
      continue;
    }
    $mdate= mktime(0, 0, 0, $month, $day, $year);
    $ucount++;
    switch($ucount){
      case 1:
        $bdate[0] = $mdate;
        break;
      case 2:
        $bdate[1] = $mdate;
        break;
      default:
        $cdate[$ucount-3] = $mdate;
    }
  }
  fclose($txtfile);
  if($ucount<5){
    return false;
  }
  return true;
}

# l̓ڍ׏擾
function fncGetUserAdj($usrid, $seq, $ndays, $tblday, $tbladj, $memo){
  $ndays = 0;
  $memo="";
  $fladjs = DataFolder."/user/".$usrid."/".$usrid."_s".$seq.".txt";
  if(!(file_exists($fladjs))){
    return false;
  }
  $txtfile = fopen($fladjs, "r");
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    $idx = count($ulist);
    if($idx<3){
      continue;
    }
    if(strcasecmp("h",trim($ulist[0]))!=0){
      continue;
    }
    if(strcasecmp($usrid,trim($ulist[1]))!=0){
      continue;
    }
    if(intval($seq)!=intval($ulist[2])){
      continue;
    }
    break;
  }
  while(!feof($txtfile)){
    $linetxt = trim(fgets($txtfile));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt, 3 );
    if(count($ulist)<2){
      continue;
    }
    if(strcasecmp("d",trim($ulist[0]))==0){
      list($year,$month,$day) = explode("/",trim($ulist[1]));
      if(!checkdate($month,$day,$year)){
        continue;
      }
      $mdate= mktime(0, 0, 0, $month, $day, $year);
      $tblday[$ndays] = $mdate;
      if(count($ulist)<3){
        $tbladj[$ndays] = "0";
      }
      else{
        $tbladj[$ndays] = trim($ulist[2]);
      }
      $ndays++;
    }
    else if(strcasecmp("m",trim($ulist[0]))==0){
      $strmemo = trim($ulist[1]);
      if(strlen($strmemo)>0){
        $memo .= $strmemo."\n";
      }
    }
  }
  fclose($txtfile);
  return true;
}

function fncCheckMemb($fid, $pos, $uid, $seq){
  global $Err;
  $rtn   = true;
  $ermsg = "";

# t@Cݒ
  switch($fid){
      case "usr":
        $cntrfile = DataFolder."/user/list_user.txt";
        break;
      case "mem":
        $cntrfile = DataFolder."/schedule/group/memb_s".$seq.".txt";
        break;
      case "gmb":
        $cntrfile = DataFolder."/group/mem_g".$seq.".txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

  if(!(file_exists($cntrfile))){
    $ermsg .= "file[".$cntrfile."] not exist";
    return $ermsg;
  }
  $fp = fopen($cntrfile, "r");
  if(!$fp){
    $ermsg .= "file[".$cntrfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]";
    return $ermsg;
  }
  $chk_flag=0;
  while(!feof($fp)){
    $linetxt = trim(fgets($fp));
    if(strlen($linetxt)==0){
      continue;
    }
    if(substr($linetxt, 0, 1)=="#"){
      continue;
    }
    $ulist = explode( ",", $linetxt );
    if(count($ulist)<2){
      continue;
    }
    if(strcasecmp($uid,trim($ulist[$pos]))!=0){
      continue;
    }
    $chk_flag=1;
    break;
  }
  fclose($fp);
  if($chk_flag==0){
    $ermsg = "fid(".$fid.") code[".$uid."] not Found";
  }
  return $ermsg;
}

# R[hǉp
function fncAddRecord($fid, $ano, $outno, $outtbl){
  global $Err;
  $rtn   = true;
  $ermsg = "";
# bNpt@C
  $lockfile = DataFolder."//lock.txt";
  if(!(file_exists($lockfile))){
    $rtn = touch($lockfile);
    if(!$rtn){
      $ermsg .= "file[".$lockfile."] touch error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    chmod($lockfile, 0666);
  }
  $lockfp = fopen($lockfile,'wb');
  if(!$lockfp){
    $ermsg .= "file[".$lockfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  flock($lockfp, LOCK_EX);

# t@Cݒ
  switch($fid){
      case "usr":
        $cntrfile = DataFolder."/user/list_user.txt";
        break;
      case "div":
        $cntrfile = DataFolder."/list_division.txt";
        break;
      case "sec":
        $cntrfile = DataFolder."/list_section.txt";
        break;
      case "sub":
        $cntrfile = DataFolder."/list_subsection.txt";
        break;
      case "pst":
        $cntrfile = DataFolder."/list_post.txt";
        break;
      case "sche":
        $cntrfile = DataFolder."/schedule/list_schedule.txt";
        break;
      case "grp":
        $cntrfile = DataFolder."/group/list_group.txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

  if(!(file_exists($cntrfile))){
    $rtn = touch($cntrfile);
    chmod($cntrfile, 0666);
  }
  $cntrfp = fopen($cntrfile,'a');
  if(!$cntrfp){
    $ermsg .= "file[".$cntrfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  stream_set_write_buffer($cntrfp, 0);
  flock($cntrfp, LOCK_EX);
  for($i=0; $i<$outno; $i++){ 
    $rtn = fwrite($cntrfp, "\n".$outtbl[$i]);
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] write error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
  }
  flock($cntrfp, LOCK_UN);
  fclose($cntrfp);

# bNpt@C̉
  flock($lockfp, LOCK_UN);
  fclose($lockfp);
  return $ermsg;
}

# R[hup
function fncUpdtRecord($fid, $key, $outno, $outtbl){
  global $Err;
  $rtn    = true;
  $ermsg  = "";
  $setflg = 0;
  $getno  = 0;
  $gettbl = array();

# t@Cݒ
  switch($fid){
      case "usr":
        $cntrfile = DataFolder."/user/list_user.txt";
        break;
      case "div":
        $cntrfile = DataFolder."/list_division.txt";
        break;
      case "sec":
        $cntrfile = DataFolder."/list_section.txt";
        break;
      case "sub":
        $cntrfile = DataFolder."/list_subsection.txt";
        break;
      case "pst":
        $cntrfile = DataFolder."/list_post.txt";
        break;
      case "sche":
        $cntrfile = DataFolder."/schedule/list_schedule.txt";
        break;
      case "grp":
        $cntrfile = DataFolder."/group/list_group.txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

# bNpt@C
  $lockfile = DataFolder."//lock.txt";
  if(!(file_exists($lockfile))){
    $rtn = touch($lockfile);
    if(!$rtn){
      $ermsg .= "file[".$lockfile."] touch error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    chmod($lockfile, 0666);
  }
  $lockfp = fopen($lockfile,'wb');
  if(!$lockfp){
    $ermsg .= "file[".$lockfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  flock($lockfp, LOCK_EX);

  if(file_exists($cntrfile)){
    $fp = fopen($cntrfile, "r");
    if(!$fp){
      $ermsg .= "file[".$cntrfile."] open error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    flock($fp, LOCK_EX);
    while(!feof($fp)){
      $linetxt = trim(fgets($fp));
      if(strlen($linetxt)==0){
        continue;
      }
      if(substr($linetxt, 0, 1)=="#"){
        continue;
      }
      $ulist = explode( ",", $linetxt );
      if(strcasecmp($key, trim($ulist[0]))==0){
        if($setflg==0){
          for($i=0; $i<$outno; $i++){
            $gettbl[$getno] = $outtbl[$i];
            $getno++;
          }
          $setflg = 1;
        }
      }
      else{
        $gettbl[$getno] = $linetxt;
        $getno++;
      }
    }
    flock($fp, LOCK_UN);
    fclose($fp);
  }
  if($setflg==0){
    for($i=0; $i<$outno; $i++){
      $gettbl[$getno] = $outtbl[$i];
      $getno++;
    }
  }

  if(!(file_exists($cntrfile))){
    $rtn = touch($cntrfile);
    chmod($cntrfile, 0666);
  }
  $fp = fopen($cntrfile,'wb');
  stream_set_write_buffer($fp, 0);
  flock($fp, LOCK_EX);
  for($i=0; $i<$getno; $i++){ 
    $rtn = fwrite($fp, $gettbl[$i]."\n");
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] write error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
  }
  flock($fp, LOCK_UN);
  fclose($fp);
  chmod($cntrfile, 0666);

# bNpt@C̉
  flock($lockfp, LOCK_UN);
  fclose($lockfp);
  return   $ermsg;
}

# t@C쐬p
function fncWriteRecord($fid, $ano, $outno, $outtbl){
  global $Err;
  $rtn   = true;
  $ermsg = "";

# t@Cݒ
  switch($fid){
      case "ctr":
        $cntrfile = DataFolder."/counter.txt";
        break;
      case "mem":
        $cntrfile = DataFolder."/schedule/group/memb_s".$ano.".txt";
        break;
      case "day":
        $cntrfile = DataFolder."/schedule/date/date_s".$ano.".txt";
        break;
      case "grp":
        $cntrfile = DataFolder."/group/list_group.txt";
        break;
      case "gmb":
        $cntrfile = DataFolder."/group/mem_g".$ano.".txt";
        break;
      case "pst":
        $cntrfile = DataFolder."/list_post.txt";
        break;
      case "ftr":
        $cntrfile = DataFolder."/list_footer.txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

  if(!(file_exists($cntrfile))){
    $rtn = touch($cntrfile);
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] touch error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    chmod($cntrfile, 0666);
  }
  $cntrfp = fopen($cntrfile,'wb');
  if(!$cntrfp){
    $ermsg .= "file[".$cntrfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  stream_set_write_buffer($cntrfp, 0);
  flock($cntrfp, LOCK_EX);
  for($i=0; $i<$outno; $i++){ 
    $rtn = fwrite($cntrfp, $outtbl[$i]."\n");
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] write error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
  }
  flock($cntrfp, LOCK_UN);
  fclose($cntrfp);
  chmod($cntrfile, 0666);

  return $ermsg;
}

# [U[t@C쐬p
function fncWriteUserRecord($fid, $ano, $usrid, $outno, $outtbl){
  global $Err;
  $rtn   = true;
  $setid = strtolower($usrid);
  $ermsg = "";

  $flusr = DataFolder."/user/".$setid;
  if(file_exists($flusr)){
    if(!is_dir($flusr)){
      unlink($flusr);
      $ermsg = fncMakeDir( $flusr );
    }
  }
  else{
    $ermsg = fncMakeDir( $flusr );
  }
  if($ermsg!=""){
    return $ermsg;
  }

# t@Cݒ
  switch($fid){
      case "usr":
        $cntrfile = DataFolder."/user/list_user.txt";
        break;
      case "psw":
        $cntrfile = DataFolder."/user/".$setid."/".$setid."_psw.txt";
        break;
      case "adj":
        $cntrfile = DataFolder."/user/".$setid."/".$setid."_s".$ano.".txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

  if(!(file_exists($cntrfile))){
    $rtn = touch($cntrfile);
    chmod($cntrfile, 0666);
  }
  $fp = fopen($cntrfile,'wb');
  if(!$fp){
    $ermsg .= "file[".$cntrfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  stream_set_write_buffer($fp, 0);
  flock($fp, LOCK_EX);
  for($i=0; $i<$outno; $i++){ 
    $rtn = fwrite($fp, $outtbl[$i]."\n");
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] write error record[".htmlspecialchars($outtbl[$i])."]<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
  }
  flock($cntrfp, LOCK_UN);
  fclose($cntrfp);
  chmod($cntrfile, 0666);
 
  return $ermsg;
}

# JE^[t@CXVp
function fncGetNewId($fid, $newid){
  global $Err;
  $ermsg = "";

# bNpt@C
  $lockfile = DataFolder."//lock.txt";
  if(!(file_exists($lockfile))){
    $rtn = touch($lockfile);
    if(!$rtn){
      $ermsg .= "file[".$lockfile."] touch error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    chmod($lockfile, 0666);
  }
  $lockfp = fopen($lockfile,'wb');
  if(!$lockfp){
    $ermsg .= "file[".$lockfile."] open error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  flock($lockfp, LOCK_EX);

# t@Cݒ
  switch($fid){
      case "ctr":
        $cntrfile = DataFolder."/counter.txt";
        break;
      case "grp":
        $cntrfile = DataFolder."/grpcntr.txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }

# JE^[t@C
  $newid = 1;
  if(!(file_exists($cntrfile))){
    $rtn = touch($cntrfile);
    chmod($cntrfile, 0666);
    $cntrfp = fopen($cntrfile, "wb");
    if(!$cntrfp){
      $ermsg .= "file[".$cntrfile."] open error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    else{
      flock($cntrfp, LOCK_EX);
      $newid = 1;
      $memo = $newid."\n";
      fputs($cntrfp, $memo);
      flock($cntrfp, LOCK_UN);
      fclose($cntrfp);
      chmod($cntrfile, 0646);
    }
  }
  else{
    $cntrfp = fopen($cntrfile,'r+');
    stream_set_write_buffer($cntrfp, 0);
    flock($cntrfp, LOCK_EX);
    if(!feof($cntrfp)){
      $newid = intval(trim(fgets($cntrfp)));
    }
    else{
      $newid = 0;
    }
    $newid++;
    rewind($cntrfp);
    $memo = $newid."\n";
    $rtn = fwrite($cntrfp,$memo);
    if(!$rtn){
      $ermsg .= "file[".$cntrfile."] write error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
    flock($cntrfp, LOCK_UN);
    fclose($cntrfp);
  }
# bNpt@C̉
  flock($lockfp, LOCK_UN);
  fclose($lockfp);
  return $ermsg;
}

# t@C폜p
function fncDeltFile($fid, $uid, $ano){
  global $Err;
  $rtn   = true;
  $setid = strtolower($uid);
  $ermsg = "";

  switch($fid){
      case "gmb":
        $cntrfile = DataFolder."/group/mem_g".$ano.".txt";
        break;
      case "adj":
        $cntrfile = DataFolder."/user/".$setid."/".$setid."_s".$ano.".txt";
        break;
      case "mem":
        $cntrfile = DataFolder."/schedule/group/memb_s".$ano.".txt";
        break;
      case "day":
        $cntrfile = DataFolder."/schedule/date/date_s".$ano.".txt";
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }
  $rtn = unlink($cntrfile);
  if(!$rtn){
    $ermsg .= "file[".$cntrfile."] delete error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  return $ermsg;
}

# tH_[폜p
function fncDeltFolder($fid, $uid){
  global $Err;
  $rtn   = true;
  $setid = strtolower($uid);
  $ermsg = "";

  switch($fid){
      case "usr":
        $cntrfile = DataFolder."/user/".$setid;
        break;
      default:
        $ermsg = "t@C[".$fid."]wG[";
        return $ermsg;
  }
  $rtn = fncDeltDir($cntrfile);
  return $ermsg;
}

# tH_[쐬p
function fncMakeDir($dir){
  global $Err;

  $ermsg = "";
  $rtn   = true;

  if(file_exists($dir)){
    if(!is_dir($dir)){
      unlink($dir);
      $rtn = mkdir( $dir, true );
    }
  }
  else{
    $rtn = mkdir( $dir, true );
  }
  if(!$rtn){
    $ermsg .= "Folder[".$dir."] Make error<br>";
    $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
  }
  chmod($dir, 0747);
  return $ermsg;
}

# t@C쐬p
function fncMakefile($file){
  global $Err;

  $ermsg = "";
  $rtn   = true;

  if(!(file_exists($file))){
    $rtn = touch($file);
    if(!$rtn){
      $ermsg .= "file[".$file."] touch error<br>";
      $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
    }
  }
  else{
    if(is_dir($file)){
      $rtn = fncDeltDir($file);
      $rtn = touch($file);
      if(!$rtn){
        $ermsg .= "file[".$file."] touch error<br>";
        $ermsg .= "Err-Mesg=[".$Err->Message."]<br>";
      }
    }
  }
  chmod($file, 0646);
  return $ermsg;
}

function fncDeltDir($path){
  if($hdl = opendir("$path")){
   while(false!==($item = readdir($hdl))){
     if(($item!=".")&&($item!="..")){
       if(is_dir("$path/$item")){
         fncDeltFolder("$path/$item");
       }
       else{
         unlink("$path/$item");
       }
     }
   }
   closedir($hdl);
   rmdir($path);
  }
}

# jՓ擾
function fncGetHoliday($pYMD){
  list($year,$month,$day) = explode("/",$pYMD);
  $week = date("w", mktime(0, 0, 0, $month, $day, $year))+1;
  $syuku = "";

  $year = intval($year);
  $month = intval($month);
  $day = intval($day);

  if($month==3){              /* 3 t̓ */
       if(($year>=1851)&&($year<=1899)){
          $i = 0;
          $w = 19.8277;
          $tyear = 1983;
       } else if(($year >= 1900)&&($year<=1979)){
          $i = 1;
          $w = 20.8357;
          $tyear = 1983;
       } else if(($year >= 1980)&&($year<=2099)){
          $i = 2;
          $w = 20.843;
          $tyear = 1980;
       } else if(($year >= 2100)&&($year<=2150)){
          $i = 3;
          $w = 21.8510;
          $tyear = 1980;
       } else{
          $i = 4;
          $w = 21.8510;
          $tyear = 1980;
       }
       $dayhar = intval($w + 0.242194 * ($year - 1980) - intval(($year - $tyear + 0.1)/4.0));
       if($day==$dayhar){
          $syuku = "t̓";
       } else if($week==2){
          if($day==($dayhar+1)){              /* t̓U֋x */
             $syuku = "U֋x";
          }
       }
       return $syuku;
  }

  if($month==9){                             /* 9 hV̓AH̓ */
       if(($year>=1851)&&($year<=1899)){
          $i = 0;
          $w = 22.2588;
          $tyear = 1983;
       } else if(($year>=1900)&&($year<=1979)){
          $i = 1;
          $w = 23.2588;
          $tyear = 1983;
       } else if(($year>=1980)&&($year<=2099)){
          $i = 2;
          $w = 23.2488;
          $tyear = 1980;
       } else if(($year>=2100)&&($year<=2150)){
          $i = 3;
          $w = 24.2488;
          $tyear = 1980;
       } else{
          $i = 4;
          $w = 24.2488;
          $tyear = 1980;
       }
       $dayaki = intval($w + 0.242194 * ($year - 1980) - intval(($year - $tyear + 0.1)/4.0));
       if($day==$dayaki){
          $syuku = "H̓";
       } else if(($year< 2003)&&($day==15)){      /* 915(`2002)hV̓ */
          $syuku = "hV̓";
       } else if($week==2){
          if($day==($dayaki+1)){                /* H̓U֋x */
             $syuku = "U֋x";
          } else{
             if($year<2003){
                if($day==16){                  /* 9 hV̓U֋x */
                   $syuku = "U֋x";
                }
             } else{
                if(($day>=15)&&($day<=21)){     /* RjhV̓ */
                   $syuku = "hV̓";
                }
             }
          }
       } else if(($week==3)&&($year>=2007)){
          if($dayaki==($day + 1)){
             $syuku = " ̋x";
          }    
       }
       return $syuku;
  }

  if(($month==1)&&($day==1)){                          /* 1 1 */
        $syuku = "";
  } else if(($month==1)&&($day==2)){                   /* 1 2 */
        $syuku = "Nn";
  } else if(($month==1)&&($day==3)){                   /* 1 3 */
        $syuku = "Nn";
  } else if(($year < 2000)&&($month==1)&&($day==15)){   /* 115(`1999) */
     $syuku = "l̓";
  } else if((month==2)&&(day==11)){                   /* 211 */
     $syuku = "LO̓";
  } else if(($month==4)&&($day==29)&&($year <= 2006)){  /* 429(2006N܂) */
     $syuku = "݂ǂ̓";
  } else if(($month==4)&&($day==29)&&($year >= 2007)){  /* 429(2007N) */
     $syuku = "a̓";
  } else if(($month==5)&&($day==3)){                  /* 5 3 */
     $syuku = "@LO";
  } else if(($month==5)&&($day==4)&&($year < 2007)){   /* 5 4(2006N܂) */
     $syuku = " ̋x";
  } else if(($month==5)&&($day==4)&&($year >= 2007)){    /* 5 4(2007N) */
     $syuku = "݂ǂ̓";
  } else if(($month==5)&&($day==5)){                  /* 5 5 */
     $syuku = "ǂ̓";
  } else if(($year < 2000)&&($month==10)&&($day==10)){  /* 1010(`1999) */
     $syuku = "̈̓";
  } else if(($month==11)&&($day==3)){                 /* 11 3 */
     $syuku = "̓";
  } else if(($month==11)&&($day==23)){                 /* 1123 */
     $syuku = "ΘJӂ̓";
  } else if(($month==12)&&($day==23)){                  /* 1223 */
     $syuku = "Vca";
  } else if(($month==12)&&($day==30)){                 /* 1230 */
     $syuku = "N";
  } else if(($month==12)&&($day==31)){                 /* 1231 */
     $syuku = "N";
  } else if(($year < 2003)&&($month==7)&&($day==20)){   /* 720(`2002) */
     $syuku = "C̓";
  }
  if($syuku != ""){
     return $syuku;
  }

  if($week==2){
       if($year<2003){
          if(($month==7)&&($day==21)){      /* 7 C̓U֋x */
             $syuku = "U֋x";
          }
       } else{
          if(($day >= 15)&&($day <= 21)){       /* Rj */
            if($month==7){                   /* 7(2003`) */
               $syuku = "C̓";
            }
          }
       }
/* (2006N܂)ȕjvjɂƂ́A̗xƂB*/
       if($year < 2000){
          if(($month== 1)&&($day==16)){              /* 1 l̓U֋x */
             $syuku = "U֋x";
          } else if(($month==10)&&($day==11)){         /* 10 ̈̓U֋x */
             $syuku = "U֋x";
          }
       } else{
          if(($day >= 8)&&($day <= 14)){              /* Qj */
             if($month== 1){                       /*     1    */
                $syuku = "l̓";
             } else if($month==10){                /*     10   */
                $syuku = "̈̓";
             }
          }
       }
       if($syuku != ""){
         return $syuku;
       }

       if(($month==2)&&($day==12)){         /* 2 LO̓U֋x */
          $syuku = "U֋x";
       } else if(($month==4)&&($day==30)){  /* 4 ݂ǂ̓/a̓U֋x */
          $syuku = "U֋x";
       } else if(($month==5)&&($day== 6)){  /* 5 ǂ̓U֋x */
          $syuku = "U֋x";
       } else if(($month==11)&&($day==4)){  /* 11 ̓U֋x */
          $syuku = "U֋x";
       } else if(($month==11)&&($day==24)){  /* 11 ΘJӂ̓U֋x */
          $syuku = "U֋x";
       } else if(($month==12)&&($day==24)){  /* 12 VcaU֋x */
          $syuku = "U֋x";
       }
       if($syuku != ""){
         return $syuku;
       }
  }

/* (2007N)ȕjvjɓƂ́A
   ̓ɂĂ̓ɍł߂ȕjvłȂxƂB*/
   if($year >= 2007){
      if(($month==5)&&($day==6)){
         if(($week==2)||($week==3)||($week==4)){
            $syuku = "U֋x";
         }
      }
   }
/* ̋x(jɋ܂ꂽ)
  (2006N܂)̑Oyїȕjvł́AxƂB
 ijɂyёOɋK肷xɂBj
  (2007N)̑Oyїȕjvł́AxƂB
 iȕjvłȂɌBj                                    */
  return $syuku;
}

# pX[hÍ
function fncEncrypt($psw, $key){

#  $salt = crypt($key);
#  $crypttext = sha1($salt.$psw);
#  $crypttext = sha1($psw);
  $plen = strlen($psw);
  if($plen < 9){
    $crypttext = crypt($psw, $key);
  }
  else{
   $psw1 = substr($psw, 0, 8);
   $psw2 = substr($psw, 8);
   $crypttext = crypt($psw1, $key).crypt($psw2, $key);
  }
  return $crypttext;
}
?>
