<?php
  session_start();
  require("./include/fnc_adjust.php");

  $url      = "";
  $ermsg    = "";
  $sid_flag = 1;

  if(!adjStartCheck($_SESSION['adj_ssl_flg'], &$ermsg, &$url)){
    $_SESSION['adj_error']    = $ermsg;
    header("Location: ".$url);
    exit;
  }

  if(!adjAdminCheck(1, &$ermsg, &$url)){
    $_SESSION['adj_error']    = $ermsg;
    header("Location: ".$url);
    exit;
  }

  $usrid  = $_SESSION['adj_userid'];

  $untno  = 0;
  $divno  = 0;
  $divcd  = array();
  $divnm  = array();

  $secno  = 0;
  $seccd  = array();
  $secnm  = array();

  $subno  = 0;
  $subcd  = array();
  $subnm  = array();

  $pstno  = 0;
  $pstcd  = array();
  $pstnm  = array();

  $rtnlv  = 0;
  $rtncd  = "";
  $rtnky  = "";
  $rtnnm  = "";

  if(!isset($_SESSION['adj_msg_fin'])){
    $_SESSION['adj_msg_fin'] = "";
  }

  $case = $_GET["chk"];
  $kind = $_GET["knd"];
  if(strcasecmp($case, "rtn")==0){
    $divno  = $_SESSION['adj_div_no'];
    $divcd  = $_SESSION['adj_div_cd'];
    $divnm  = $_SESSION['adj_div_nm'];
    $secno  = $_SESSION['adj_sec_no'];
    $seccd  = $_SESSION['adj_sec_cd'];
    $secnm  = $_SESSION['adj_sec_nm'];
    $subno  = $_SESSION['adj_sub_no'];
    $subcd  = $_SESSION['adj_sub_cd'];
    $subnm  = $_SESSION['adj_sub_nm'];
    $pstno  = $_SESSION['adj_pst_no'];
    $pstcd  = $_SESSION['adj_pst_cd'];
    $pstnm  = $_SESSION['adj_pst_nm'];
    $rtnlv  = intval($_SESSION['adj_add_lvl']);
    $rtncd  = $_SESSION['adj_add_cod'];
    $rtnky  = $_SESSION['adj_add_key'];
    $rtnnm  = $_SESSION['adj_add_nam'];
  }
  else{
    if(strcasecmp($kind, "unt")==0){
      $rtn = fncGetDivTable(&$divno, &$divcd, &$divnm);
      $_SESSION['adj_div_no'] = $divno;
      $_SESSION['adj_div_cd'] = $divcd;
      $_SESSION['adj_div_nm'] = $divnm;
      $rtn = fncGetSecTable(&$secno, &$seccd, &$secnm);
      $_SESSION['adj_sec_no'] = $secno;
      $_SESSION['adj_sec_cd'] = $seccd;
      $_SESSION['adj_sec_nm'] = $secnm;
      $rtn = fncGetSubTable(&$subno, &$subcd, &$subnm);
      $_SESSION['adj_sub_no'] = $subno;
      $_SESSION['adj_sub_cd'] = $subcd;
      $_SESSION['adj_sub_nm'] = $subnm;
      $pstno  = $_SESSION['adj_pst_no'];
      $pstcd  = $_SESSION['adj_pst_cd'];
      $pstnm  = $_SESSION['adj_pst_nm'];
    }
    else if(strcasecmp($kind, "pst")==0){
      $rtn = fncGetPstTable(&$pstno, &$pstcd, &$pstnm);
      $_SESSION['adj_pst_no'] = $pstno;
      $_SESSION['adj_pst_cd'] = $pstcd;
      $_SESSION['adj_pst_nm'] = $pstnm;
      $divno  = $_SESSION['adj_div_no'];
      $divcd  = $_SESSION['adj_div_cd'];
      $divnm  = $_SESSION['adj_div_nm'];
      $secno  = $_SESSION['adj_sec_no'];
      $seccd  = $_SESSION['adj_sec_cd'];
      $secnm  = $_SESSION['adj_sec_nm'];
      $subno  = $_SESSION['adj_sub_no'];
      $subcd  = $_SESSION['adj_sub_cd'];
      $subnm  = $_SESSION['adj_sub_nm'];
    }
    else{
      $divno  = $_SESSION['adj_div_no'];
      $divcd  = $_SESSION['adj_div_cd'];
      $divnm  = $_SESSION['adj_div_nm'];
      $secno  = $_SESSION['adj_sec_no'];
      $seccd  = $_SESSION['adj_sec_cd'];
      $secnm  = $_SESSION['adj_sec_nm'];
      $subno  = $_SESSION['adj_sub_no'];
      $subcd  = $_SESSION['adj_sub_cd'];
      $subnm  = $_SESSION['adj_sub_nm'];
      $pstno  = $_SESSION['adj_pst_no'];
      $pstcd  = $_SESSION['adj_pst_cd'];
      $pstnm  = $_SESSION['adj_pst_nm'];
    }
  }
  $untno = $divno + $secno + $subno;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
<meta http-equiv="Content-Style-Type" content="text/css">
<meta name="author" content="Tokyo Gakugei University Information Processing Center">
<meta name="robots" content="nofollow">
<title>R[hێ</title>
<link rel="stylesheet" href="./include/adjust_style.css" type="text/css" media="all">
<link rel="stylesheet" href="./include/adjust_print.css" type="text/css" media="print">
<style type="text/css">
<!--
-->
</style>
<SCRIPT language="JavaScript" src="./include/commfunc.js" charset="Shift_JIS"></SCRIPT>
<SCRIPT type="text/javascript">
<!--
function fncAdjDltPst(cod){
  var rtn = confirm("ER[h ["+cod+"]폜܂B\n낵łH");
  if(!rtn){
    return false;
  }
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodedlt.php?knd=pst";
  document.form_adj.submit();
}

function fncAdjChgUnt(lvl, cod){
  var unt;
  if(lvl==1){
    unt = "";
  }
  else if(lvl==2){
    unt = "";
  }
  else{
    unt = "W";
  }
  var rtn = confirm(unt + "R[h ["+cod+"]̖̂C܂B\n낵łH");
  if(!rtn){
    return false;
  }
  document.form_adj.adj_levl.value = lvl;
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodechg.php?knd=unt";
  document.form_adj.submit();
}

function fncAdjDltUnt(lvl, cod){
  var unt;
  if(lvl==1){
    unt = "";
  }
  else if(lvl==2){
    unt = "";
  }
  else{
    unt = "W";
  }
  var rtn = confirm(unt + "R[h ["+cod+"]폜܂B\n낵łH");
  if(!rtn){
    return false;
  }
  document.form_adj.adj_levl.value = lvl;
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodedlt.php?knd=unt";
  document.form_adj.submit();
}

function fncAdjAddPst(){
  var cod = document.form_adj.adj_pst_cd.value;
  var nam = document.form_adj.adj_pst_nm.value;

  if(cod.length==0){
    document.form_adj.adj_pst_cd.focus();
    document.getElementById("ErrMeg").innerHTML = "ER[h͂ĉ";
    return false;
  }
  if(nam.length==0){
    document.form_adj.adj_pst_nm.focus();
    document.getElementById("ErrMeg").innerHTML = "Ê͂ĉ";
    return false;
  }

  var rtn = confirm("ER[h ["+cod+"]ǉ܂B\n낵łH");
  if(!rtn){
    return false;
  }
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodeadd.php?knd=pst";
  document.form_adj.submit();
}

function fncAdjAddUnt(lvl, cod){
  var id = "adj_"+cod+"_ac";
  var nm = "adj_"+cod+"_an";
  var cval = document.getElementById(id).value;
  var nval = document.getElementById(nm).value;
  if(cval.length==0){
    document.getElementById(id).focus();
    document.getElementById("ErrMeg").innerHTML = "R[h͂ĉ";
    return false;
  }
  if(nval.length==0){
    document.getElementById(nm).focus();
    document.getElementById("ErrMeg").innerHTML = "̂͂ĉ";
    return false;
  }

  var unt;
  if(lvl==1){
    unt = "";
  }
  else if(lvl==2){
    unt = "";
  }
  else{
    unt = "W";
  }
  var rtn = confirm(unt+"R[h ["+cval+"]ǉ܂B\n낵łH");
  if(!rtn){
    return false;
  }
  document.form_adj.adj_levl.value = lvl;
  document.form_adj.adj_code.value = cod;

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodeadd.php?knd=unt";
  document.form_adj.submit();
}

function fncAdjUpdate(knd){
  var msg;
  if(knd=="pst"){
    msg = "E";
  }
  else{
    msg = "";
  }
  var rtn = confirm(msg+"R[hC܂B\n낵łH");
  if(!rtn){
    return false;
  }

  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "./adjcodechg.php?knd="+knd;
  document.form_adj.submit();
}

function fncAdjReturn(){
  document.form_adj.target = "_self";
  document.form_adj.method = "post";
  document.form_adj.action = "adjtop.php?PG=C";
  document.form_adj.submit();
}
// -->
</SCRIPT>
</head>
<body bgcolor="#ffffff">
<form name="form_header">
<TABLE CELLSPACING="0" BORDER="0">
  <TBODY BGCOLOR="#90EE90">
    <TR >
      <TD align="center" BGCOLOR="0000cd" valign="center"
                 style="font-weight:bold; color:#ffffff; background-color:#0000cd;
                        border-right:solid 0px #0000cd; border-left:solid 0px #0000cd;
                        border-top:solid 0px #0000cd; border-bottom:solid 0px #0000cd;">
      &nbsp;&nbsp;<?php echo $_SESSION['adj_cur_date'] ?>&nbsp;&nbsp;</TD>
      <TD align="center" valign="center" style="font-size:15px; font-weight:bold; color: #0000cd;">&nbsp;&nbsp;&nbsp;&nbsp;
        <?php echo $_SESSION['adj_divi']
              ." ".$_SESSION['adj_sect']
              ." ".$_SESSION['adj_subs']
              ." ".$_SESSION['adj_post']
              ." ".$_SESSION['adj_name']; ?> l&nbsp;&nbsp;&nbsp;&nbsp;
      </TD>
      <TD align="center" valign="center">&nbsp;&nbsp;<INPUT TYPE="button" class="butn1" VALUE="OAEg" OnClick="javascript:fncLogOut()">&nbsp;&nbsp;</TD>
    </TR>
  </TBODY>
</TABLE>
  <input type="hidden" id="top_sid" name="top_sid" value="<?php echo $_SESSION['adj_sid'] ?>">
  <input type="hidden" id="userid" name="userid" value="<?php echo $_SESSION['adj_userid'] ?>">
</form>
<form name="form_adj">
<table BORDER=0 BGCOLOR=blue CELLSPACING=>
<tr>
<td style='font-weight:bold; color:white; background:blue; FONT-SIZE: 18px;' width=700 >
R[hێ</td>
<td width=100 align='right' style='font-weight:bold; color:white; background:blue; FONT-SIZE: 15px;' >
<INPUT TYPE="button" VALUE="߂" onClick='javascript:fncAdjReturn();'></TD>
</tr>
</table>
<?php
  echo "<table BORDER=0 BGCOLOR=white CELLSPACING=>";
  echo "<tr><td colspan=3 align=\"center\"><br></td></tr>\n";
  echo "<tr><td colspan=3 align=\"center\">\n";
  echo "<div id='ErrMeg' style='font-weight:bold; color:#ff0000; FONT-SIZE: 12px;'>";
  echo $_SESSION['adj_error']."</div></TD></tr>";
  echo "<tr><td align=\"center\"></td><td><br></td><td align=\"center\">E</td><tr>";
  echo "<tr><td align=\"center\" valign=\"top\">\n";
  $rtn = fncMakeUnitTable();
  echo "</td><td>&nbsp;&nbsp;&nbsp;<br></td><td align=\"center\" valign=\"top\">\n";
  $rtn = fncMakePostTable();
  echo "</td></tr>\n</table>\n";
  echo "<strong>".$_SESSION['adj_msg_fin']."</strong><br>\n";
  echo "<input type=\"hidden\" id=\"adj_levl\" name=\"adj_levl\" value=\"\">\n";
  echo "<input type=\"hidden\" id=\"adj_code\" name=\"adj_code\" value=\"\">\n";
  echo "<input type=\"hidden\" id=\"adj_untno\" name=\"adj_untno\" value=\"".$untno."\">\n";
  echo "<input type=\"hidden\" id=\"adj_pstno\" name=\"adj_pstno\" value=\"".$pstno."\">\n";
  $_SESSION['adj_error'] = "";
  $_SESSION['adj_msg_fin'] = "";
  $_SESSION['adj_add_usr'] = "";
?>
<div id="copyright_area">
<br>
<hr noshade size="1">
<!-- copyright -->
<center class="copyright">
<?php echo $_SESSION['adj_copyright'] ?>
</center>
</div><!--copyright_area end -->
</form>
</body>
<?php
function fncMakePostTable(){
  global $pstno, $pstcd, $pstnm;
  global $rtnlv, $rtncd, $rtnky, $rtnnm;

  echo "<TABLE BORDER=1 BGCOLOR=#ffffff CELLSPACING=>\n";
  echo "<THEAD>\n<TR>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\">R[h</font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "<TH BGCOLOR=#c0c0c0 BORDERCOLOR=#000000 ><font size=\"-1\"></font></TH>\n";
  echo "</TR></THEAD><TBODY>";
  $npos = 0;
  for($i=0; $i<$pstno; $i++){
    $npos++;
    echo "<TR><TD BORDERCOLOR=#c0c0c0 align='right' ><font size='-1'>".$npos."</font></TD>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 ><font size='-1'>".$pstcd[$i]."</font>";
    echo "<INPUT type=\"hidden\" name=\"adj_pst_cd".$i."\" class=\"in_text3\" value=\"".$pstcd[$i]."\"></TD>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='left' >";
    echo "<INPUT type=\"text\" name=\"adj_pst_nm".$i."\" class=\"in_text2\"  value=\"".$pstnm[$i]."\"></td>\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='center' >";
    echo "<input type=\"button\" VALUE=\"폜\" name=\"adjpstbtnd".$npos."\" "
               ."onClick=\"javascript:fncAdjDltPst('".$pstcd[$i]."');\"></td>";
    echo "</tr>\n";
  }
  echo "<TR><TD BORDERCOLOR=#c0c0c0 align='right' ><font size='-1'>ǉ</font></TD>\n";
  if(strcasecmp($rtnky, "pst")==0){
    echo "<TD BORDERCOLOR=#c0c0c0 ><font size='-1'>\n";
    echo "<INPUT type=\"text\" name=\"adj_pst_cd\" class=\"in_text3\" value=\"".$rtncd."\">\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='left' >";
    echo "<INPUT type=\"text\" name=\"adj_pst_nm\" class=\"in_text2\"  value=\"".$rtnnm."\"></td>\n";
  }
  else{
    echo "<TD BORDERCOLOR=#c0c0c0 ><font size='-1'>\n";
    echo "<INPUT type=\"text\" name=\"adj_pst_cd\" class=\"in_text3\" value=\"".$_SESSION['adj_add_pcd']."\">\n";
    echo "<TD BORDERCOLOR=#c0c0c0 align='left' >";
    echo "<INPUT type=\"text\" name=\"adj_pst_nm\" class=\"in_text2\"  value=\"".$_SESSION['adj_add_pnm']."\"></td>\n";
  }
  echo "<TD align='center'>"
        ."<input type=\"button\" VALUE=\"ǉ\" name=\"adjpstbtna\" "
           ."onClick=\"javascript:fncAdjAddPst();\"></td>";
  echo "</tr>\n";
  echo "<tr><td colspan=4 align=\"left\">\n";
  echo "&nbsp;L̓eŐE<input type=\"button\" VALUE=\"C\" name=\"adjpstmnt\" "
               ."onClick=\"javascript:fncAdjUpdate('pst');\">B<br><br>\n";
  echo "</TD></TR></TBODY></TABLE>\n";
}

function fncMakeUnitTable(){
  global $divno, $divcd, $divnm;
  global $secno, $seccd, $secnm;
  global $subno, $subcd, $subnm;
  global $rtnlv, $rtncd, $rtnky, $rtnnm;
  $untno  = 0;
  $untcd  = array();
  $untnm  = array();
  $untlv  = array();

  for($i=0; $i<$divno; $i++){
    $untcd[$untno] = substr($divcd[$i]."      ", 0, 6);
    $untnm[$untno] = $divnm[$i];
    $untlv[$untno] = 1;
    $untno++;
  }
  for($i=0; $i<$secno; $i++){
    $untcd[$untno] = substr($seccd[$i]."      ", 0, 6);
    $untnm[$untno] = $secnm[$i];
    $untlv[$untno] = 2;
    $untno++;
  }
  for($i=0; $i<$subno; $i++){
    $untcd[$untno] = $subcd[$i];
    $untnm[$untno] = $subnm[$i];
    $untlv[$untno] = 3;
    $untno++;
  }
  array_multisort($untcd, $untnm, $untlv);
  echo "<TABLE BORDER=0 BGCOLOR=#ffffff CELLSPACING=>\n";
  echo "<THEAD>\n<TR>\n";
  echo "<TH class=\"th_type1\"></TH>\n";
  echo "<TH class=\"th_type2\"></TH>\n";
  echo "<TH class=\"th_type2\"></TH>\n";
  echo "<TH class=\"th_type2\">W</TH>\n";
  echo "<TH class=\"th_type2\">ύX</TH>\n";
  echo "<TH class=\"th_type3\">폜</TH>\n";
  echo "</TR></THEAD><TBODY>";
  $npos = 0;
  $new1 = substr($untcd[0],0,4);
  $new2 = substr($untcd[0],0,5);
  $new3 = substr($untcd[0],0,6);
  $i = 0;
  while($i<$untno){
    $old1 = $new1;
    $new0 = trim($new1, "_");
    $npos++;
    echo "<TR><TD class=\"td_type1r\">".$npos."</TD>\n";
    echo "<TD class=\"td_type2\">".$new0."<br>\n";
    echo "<INPUT type=\"text\" name=\"adj_".$new0."_n\" class=\"in_text2\"  value=\"".$untnm[$i]."\"></td>\n";
    echo "<TD class=\"td_type2\"><br></TD>\n";
    echo "<TD class=\"td_type2\"><br></TD>\n";
    echo "<TD class=\"td_type2c\">\n";
    echo "<input type=\"button\" VALUE=\"C\" name=\"adjd_".$new0."\" "
         ."onClick=\"javascript:fncAdjChgUnt('1','".$new0."');\"></td>";
    echo "<TD class=\"td_type3c\">\n";
    echo "<input type=\"button\" VALUE=\"폜\" name=\"adjd_".$new0."\" "
         ."onClick=\"javascript:fncAdjDltUnt('1','".$new0."');\"></td></tr>\n";
    $i++;
    if($i<$untno){
      $new1 = substr($untcd[$i],0,4);
      $new2 = substr($untcd[$i],0,5);
      $new3 = substr($untcd[$i],0,6);
    }
    while(($old1==$new1)&&($i<$untno)){
      $old2 = $new2;
      $npos++;
      echo "<TR><TD class=\"td_type1r\">".$npos."</TD>\n";
      echo "<TD class=\"td_type2\"><br></TD>\n";
      echo "<TD class=\"td_type2\">".substr($new2,4,5)."<br>\n";
      echo "<INPUT type=\"text\" name=\"adj_".$new2."_n\" class=\"in_text2\"  value=\"".$untnm[$i]."\"></td>\n";
      echo "<TD class=\"td_type2\"><br></TD>\n";
      echo "<TD class=\"td_type2c\">\n";
      echo "<input type=\"button\" VALUE=\"C\" name=\"adjd_".$new2."\" "
           ."onClick=\"javascript:fncAdjChgUnt('2','".$new2."');\"></td>";
      echo "<TD class=\"td_type3c\">\n";
      echo "<input type=\"button\" VALUE=\"폜\" name=\"adjd_".$new2."\" "
           ."onClick=\"javascript:fncAdjDltUnt('2','".$new2."');\"></td></tr>\n";
      $i++;
      if($i<$untno){
        $new1 = substr($untcd[$i],0,4);
        $new2 = substr($untcd[$i],0,5);
        $new3 = substr($untcd[$i],0,6);
      }
      while(($old2==$new2)&&($i<$untno)){
        $npos++;
        echo "<TR><TD class=\"td_type1r\">".$npos."</TD>\n";
        echo "<TD class=\"td_type2\"><br></TD>\n";
        echo "<TD class=\"td_type2\"><br></TD>\n";
        echo "<TD class=\"td_type2\">".substr($new3,5,6)."<br>\n";
        echo "<INPUT type=\"text\" name=\"adj_".$new3."_n\" class=\"in_text2\"  value=\"".$untnm[$i]."\"></td>\n";
        echo "<TD class=\"td_type2c\">\n";
        echo "<input type=\"button\" VALUE=\"C\" name=\"adjd_".$new3."\" "
             ."onClick=\"javascript:fncAdjChgUnt('3','".$new3."');\"></td>";
        echo "<TD class=\"td_type3c\">";
        echo "<input type=\"button\" VALUE=\"폜\" name=\"adjd_".$new3."\" "
             ."onClick=\"javascript:fncAdjDltUnt('3','".$new3."');\"></td></tr>\n";
        $i++;
        if($i<$untno){
          $new1 = substr($untcd[$i],0,4);
          $new2 = substr($untcd[$i],0,5);
          $new3 = substr($untcd[$i],0,6);
        }
      }
      echo "<TR><TD class=\"td_type1\">{</TD>\n";
      echo "<TD class=\"td_type2\"><br></TD>\n";
      echo "<TD class=\"td_type2\"><br></TD>\n";
      echo "<TD class=\"td_type2\">\n";
      if(($rtnlv==3)&&(strcasecmp($old2, $rtncd)==0)){
        echo "<INPUT type=\"text\" name=\"adj_".$old2."_ac\" id=\"adj_".$old2."_ac\" class=\"in_text1\"  value=\"".$rtnky."\"><br>\n";
        echo "<INPUT type=\"text\" name=\"adj_".$old2."_an\" id=\"adj_".$old2."_an\" class=\"in_text2\"  value=\"".$rtnnm."\"></td>\n";
      }
      else{
        echo "<INPUT type=\"text\" name=\"adj_".$old2."_ac\" id=\"adj_".$old2."_ac\" class=\"in_text1\"  value=\"\"><br>\n";
        echo "<INPUT type=\"text\" name=\"adj_".$old2."_an\" id=\"adj_".$old2."_an\" class=\"in_text2\"  value=\"\"></td>\n";
      }
      echo "<TD class=\"td_type2c\">\n";
      echo "<input type=\"button\" VALUE=\"ǉ\" name=\"adja".$old2."\" "
           ."onClick=\"javascript:fncAdjAddUnt('3','".$old2."');\"></td>";
      echo "<TD class=\"td_type3\"><br></TD></tr>\n";
    }
    echo "<TR><TD class=\"td_type1\">{</TD>\n";
    echo "<TD class=\"td_type2\"><br></TD>\n";
    echo "<TD class=\"td_type2\">";
    $old0 = trim($old1, "_");
    if(($rtnlv==2)&&(strcasecmp($old0, $rtncd)==0)){
      echo "<INPUT type=\"text\" name=\"adj_".$old0."_ac\" id=\"adj_".$old0."_ac\" class=\"in_text1\"  value=\"".$rtnky."\"><br>\n";
      echo "<INPUT type=\"text\" name=\"adj_".$old0."_an\" id=\"adj_".$old0."_an\" class=\"in_text2\"  value=\"".$rtnnm."\"></td>\n";
    }
    else{
      echo "<INPUT type=\"text\" name=\"adj_".$old0."_ac\" id=\"adj_".$old0."_ac\" class=\"in_text1\"  value=\"\"><br>\n";
      echo "<INPUT type=\"text\" name=\"adj_".$old0."_an\" id=\"adj_".$old0."_an\" class=\"in_text2\"  value=\"\"></td>\n";
    }
    echo "<TD class=\"td_type2\"><br></TD>\n";
    echo "<TD class=\"td_type2c\">";
    echo "<input type=\"button\" VALUE=\"ǉ\" name=\"adja".$old0."\" "
         ."onClick=\"javascript:fncAdjAddUnt('2','".$old0."');\"></td>";
    echo "<TD class=\"td_type3\"><br></TD></tr>\n";
  }
  echo "<TR><TD class=\"td_type1\">{</TD>\n";
  echo "<TD class=\"td_type2\">";
  if($rtnlv==1){
    echo "<INPUT type=\"text\" name=\"adj_divi_ac\" id=\"adj_divi_ac\" class=\"in_text4\" value=\"".$rtnky."\"><br>\n";
    echo "<INPUT type=\"text\" name=\"adj_divi_an\" id=\"adj_divi_an\" class=\"in_text2\" value=\"".$rtnnm."\"></td>\n";
  }
  else{
    echo "<INPUT type=\"text\" name=\"adj_divi_ac\" id=\"adj_divi_ac\" class=\"in_text4\" value=\"\"><br>\n";
    echo "<INPUT type=\"text\" name=\"adj_divi_an\" id=\"adj_divi_an\" class=\"in_text2\" value=\"\"></td>\n";
  }
  echo "<TD class=\"td_type2\"><br></TD>\n";
  echo "<TD class=\"td_type2\"><br></TD>\n";
  echo "<TD class=\"td_type2c\">\n";
  echo "<input type=\"button\" VALUE=\"ǉ\" name=\"adja\" "
       ."onClick=\"javascript:fncAdjAddUnt('1','divi');\"></td>";
  echo "<TD class=\"td_type3\"><br></TD></tr>\n";
  echo "<tr><TD class=\"td_typeb\" colspan=6><br></TD></tr>\n";
  echo "</tbody></table>\n";
}
?>
</html>
